<mamecheat version="1">

  <cheat desc="Select Starting Level">
    <parameter>
      <item value="0x01">Assault Course</item>
      <item value="0x02">Firing Range 1</item>
      <item value="0x03">Iron Man Race</item>
      <item value="0x05">Firing Range 2</item>
      <item value="0x06">Arm Wrestle</item>
      <item value="0x07">Firing Range 3</item>
      <item value="0x09">Instructor</item>
      <item value="0x0E">Mission</item>
    </parameter>
    <script state="run">
      <action condition="(maincpu.pb@0991==01)">maincpu.pb@0991=param</action>
    </script>
  </cheat>

  <cheat desc="One hit for Instructor Now!">
    <script state="on">
      <action>maincpu.pb@0C76=01</action>
    </script>
  </cheat>

  <cheat desc="Mission Invincibility"> <comment>The invincibility cheat is buggy, you have to turn it off with F6 to jump or to walk down stairs-YOU MUST!!</comment>
    <script state="run">
      <action>maincpu.pb@0C01=02|(maincpu.pb@0C01 BAND ~02)</action>
      <action>maincpu.pb@0C01=00|(maincpu.pb@0C01 BAND ~F8)</action>
      <action>maincpu.pb@0C16=08</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pb@0A8D=99</action>
    </script>
  </cheat>

  <cheat desc="Reset Timer Now! PL1">
    <script state="on">
      <action>maincpu.pb@0A8C=00</action>
      <action>maincpu.pb@0A8D=01</action>
    </script>
  </cheat>

  <cheat desc="Always done 70 targets PL1">
    <script state="run">
      <action>maincpu.pb@0855=70</action>
    </script>
  </cheat>

  <cheat desc="Get 70 targets Now! PL1">
    <script state="on">
      <action>maincpu.pb@0855=70</action>
    </script>
  </cheat>

  <cheat desc="Infinite Damage (OFF for Assault Course!) PL1"> <comment>Ensure the Infinite Damage cheat is NOT turned on for the Assault Course!!</comment>
    <script state="run">
      <action>maincpu.pb@0C16=08</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pb@0AAD=99</action>
    </script>
  </cheat>

  <cheat desc="Reset Timer Now! PL2">
    <script state="on">
      <action>maincpu.pb@0AAC=00</action>
      <action>maincpu.pb@0AAD=01</action>
    </script>
  </cheat>

  <cheat desc="Always done 70 targets PL2">
    <script state="run">
      <action>maincpu.pb@0857=70</action>
    </script>
  </cheat>

  <cheat desc="Get 70 targets Now! PL2">
    <script state="on">
      <action>maincpu.pb@0857=70</action>
    </script>
  </cheat>

  <cheat desc="Infinite Damage (OFF for Assault Course!) PL2"> <comment>Ensure the Infinite Damage cheat is NOT turned on for the Assault Course!!</comment>
    <script state="run">
      <action>maincpu.pb@0C46=08</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
